=== debian/changelog ===
glite-lbjp-common-trio (2.2.2-3) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Fri, 04 May 2012 14:35:30 +0200
