=== debian/control ===
Source: glite-lbjp-common-trio
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), chrpath, libcppunit-dev, libtool
Standards-Version: 3.9.1
Section: libs
Homepage: http://glite.cern.ch
DM-Upload-Allowed: yes
Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi

Package: libglite-lbu-trio2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Standalone extended implementation of printf and scanf
 Standalone extended implementation of printf and scanf. Provides specialized
 formating options used by LB and
 JP.

Package: libglite-lbjp-common-trio-dev
Section: libdevel
Architecture: any
Provides: glite-lbjp-common-trio
Depends: libglite-lbu-trio2 (= ${binary:Version}), ${misc:Depends}
Description: Development files for gLite L&B/JP common trio library
 This package contains development libraries and header files for gLite L&B/JP
 common trio library.

Package: glite-lbjp-common-trio-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libglite-lbu-trio2 (= ${binary:Version}), ${misc:Depends}
Description: gLite L&B/JP common trio library debugging symbols
 This package contains debugging symbols for gLite L&B/JP common trio library.
