## glite-lbjp-common-trio 2.2.3

=== Makefile ===
--- 
+++ 
@@ -115,8 +115,8 @@
 
 clean:
 	rm -rvf *.o *.lo .libs lib* *.c *.h *.dox C/ CPP/
-	rm -vf trio_test
-	
+	rm -rvf trio_test ${REPORTS}
+
 distclean:
 	rm -rvf Makefile.inc *.spec debian/
