=== debian/changelog ===
glite-lbjp-common-trio (2.2.3-1) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Thu, 26 Jul 2012 12:23:44 +0200
