=== debian/changelog ===
glite-lbjp-common-trio (2.3.1-0head.2) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Tue, 14 Aug 2012 19:22:31 +0200
