## glite-lbjp-common-trio 2.3.8

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 version=${module.version}
 
-VPATH=${top_srcdir}/src:${top_srcdir}/test::${top_srcdir}/doc
+VPATH=${top_srcdir}/src:${top_srcdir}/test
 
 CC=gcc
 
@@ -36,7 +36,7 @@
 	project/.post* \
 	src/*.c src/*.h \
 	test/*.cpp \
-	LICENSE Makefile
+	Makefile
 
 os=${shell uname}
 DL_LIBS:=
@@ -99,12 +99,10 @@
 
 install: all
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/${libdir}
-	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbutilsprefix}
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbuprefix}
 	${INSTALL} -m 755 ${LTLIB} ${DESTDIR}${PREFIX}${prefix}/${libdir}
 	${INSTALL} -m 644 ${STATICLIB} ${DESTDIR}${PREFIX}${prefix}/${libdir}
-	${INSTALL} -m 644 ${top_srcdir}/LICENSE ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
 	(cd ${top_srcdir}/interface && ${INSTALL} -m 644 ${HDRS} ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbuprefix})
 
 clean:
@@ -113,7 +111,7 @@
 	rm -rvf dist ${package}-*.tar.gz
 	
 distclean:
-	rm -rvf Makefile.inc *.spec debian/
+	rm -rvf project/changelog Makefile.inc *.spec debian/
 
 %.lo %.o: %.c
 	${COMPILE} ${CFLAGS} -c $<
