=== debian/changelog ===
glite-lbjp-common-trio (2.3.8-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Fri, 25 Jan 2013 17:19:31 +0100
