=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: extra
 Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
 Uploaders: František Dvořák <valtri@civ.zcu.cz>
-Build-Depends: debhelper (>= 7.0.50~), chrpath, libcppunit-dev, libtool, pkg-config
+Build-Depends: debhelper (>= 7.0.50~), libcppunit-dev, libtool, pkg-config
 Standards-Version: 3.9.1
 Section: libs
 Homepage: http://glite.cern.ch
@@ -16,8 +16,8 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Standalone extended implementation of printf and scanf
  Standalone extended implementation of printf and scanf. Provides specialized
- formating options used by LB and
- JP.
+ formatting options used by Logging and Bookkeeping and Job
+ Provenance.
 
 Package: libglite-lbjp-common-trio-dev
 Section: libdevel
