=== debian/changelog ===
glite-lbjp-common-trio (2.3.10-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Mon, 24 Jun 2013 10:02:44 +0200
