## glite-lbjp-common-trio 2.3.11

=== debian/changelog ===
glite-lbjp-common-trio (2.3.11-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Fri, 22 Nov 2013 11:57:43 +0100
