## glite-lbjp-common-trio 2.3.13

=== Makefile ===
--- 
+++ 
@@ -27,8 +27,8 @@
 CFLAGS:=${DEBUG} -I${top_srcdir}/src -I${top_srcdir}/interface -I. -DDATAGRID_EXTENSION ${CFLAGS}
 
 COMPILE:=libtool --mode=compile ${CC}
-LINK:=libtool --mode=link ${CC} -rpath ${stagedir}${prefix}/${libdir} ${LDFLAGS} 
-LINKXX:=libtool --mode=link ${CXX} -rpath ${stagedir}${prefix}/${libdir} ${LDFLAGS} 
+LINK:=libtool --mode=link ${CC} ${LDFLAGS}
+LINKXX:=libtool --mode=link ${CXX} ${LDFLAGS}
 INSTALL:=libtool --mode=install install
 
 SOURCES=\
@@ -80,7 +80,7 @@
 	ranlib $@
 
 ${LTLIB}: ${OBJS}
-	${LINK} ${version_info} -o $@ ${LOBJS} -lm
+	${LINK} -rpath ${stagedir}${prefix}/${libdir} ${version_info} -o $@ ${LOBJS} -lm
 
 stage: compile
 	$(MAKE) install PREFIX=${stagedir} DOSTAGE=yes
