=== debian/control ===
Source: glite-lbjp-common-trio
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), libcppunit-dev, libtool-bin, pkg-config
Standards-Version: 3.9.1
Section: libs
Homepage: http://glite.cern.ch

Package: libglite-lbu-trio2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Standalone extended implementation of printf and scanf
 Standalone extended implementation of printf and scanf. Provides specialized
 formatting options used by Logging and Bookkeeping and Job
 Provenance.

Package: libglite-lbjp-common-trio-dev
Section: libdevel
Architecture: any
Provides: glite-lbjp-common-trio
Depends: libglite-lbu-trio2 (= ${binary:Version}), ${misc:Depends}
Description: Development files for gLite L&B/JP common trio library
 Standalone extended implementation of printf and scanf. Provides specialized
 formatting options used by Logging and Bookkeeping and Job
 Provenance.
 .
 This package contains development libraries and header files for gLite L&B/JP
 common trio library.

Package: libglite-lbu-trio2-dbg
Section: debug
Architecture: any
Depends: libglite-lbu-trio2 (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for gLite L&B/JP common trio library
 Standalone extended implementation of printf and scanf. Provides specialized
 formatting options used by Logging and Bookkeeping and Job
 Provenance.
 .
 This package contains debugging symbols for gLite L&B/JP common trio library.
