=== debian/watch ===
version=3
http://scientific.zcu.cz/emi/emi.lbjp-common.trio/glite-lbjp-common-trio-(.*)\.tar\.gz
